org.apache.tinkerpop.gremlin.tinkergraph.structure

## Enum TinkerGraph.DefaultIdManager

- java.lang.Object
- - java.lang.Enum<TinkerGraph.DefaultIdManager>
  - - org.apache.tinkerpop.gremlin.tinkergraph.structure.TinkerGraph.DefaultIdManager

- All Implemented Interfaces:
    Serializable, Comparable<TinkerGraph.DefaultIdManager>, TinkerGraph.IdManager
  Enclosing class:
    TinkerGraph

      public static enum TinkerGraph.DefaultIdManager
      extends Enum<TinkerGraph.DefaultIdManager>
      implements TinkerGraph.IdManager

  A default set of `TinkerGraph.IdManager` implementations for common identifier types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY` Manages identifiers of any type.
    `INTEGER` Manages identifiers of type `Integer`.
    `LONG` Manages identifiers of type `Long`.
    `UUID` Manages identifiers of type `UUID`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TinkerGraph.DefaultIdManager` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TinkerGraph.DefaultIdManager[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.tinkergraph.structure.TinkerGraph.IdManager

      `allow, convert, getNextId`

- - ### Enum Constant Detail

    - #### LONG

          public static final TinkerGraph.DefaultIdManager LONG

      Manages identifiers of type `Long`. Will convert any class that extends from `Number` to a `Long` and will also attempt to convert `String` values

    - #### INTEGER

          public static final TinkerGraph.DefaultIdManager INTEGER

      Manages identifiers of type `Integer`. Will convert any class that extends from `Number` to a `Integer` and will also attempt to convert `String` values

    - #### UUID

          public static final TinkerGraph.DefaultIdManager UUID

      Manages identifiers of type `UUID`. Will convert `String` values to `UUID`.

    - #### ANY

          public static final TinkerGraph.DefaultIdManager ANY

      Manages identifiers of any type. This represents the default way `TinkerGraph` has always worked. In other words, there is no identifier conversion so if the identifier of a vertex is a `Long`, then trying to request it with an `Integer` will have no effect. Also, like the original `TinkerGraph`, it will generate `Long` values for identifiers.

  - ### Method Detail

    - #### values

          public static TinkerGraph.DefaultIdManager[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TinkerGraph.DefaultIdManager c : TinkerGraph.DefaultIdManager.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TinkerGraph.DefaultIdManager valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.